package cn.palmte.work.model.enums;

/**
 * 审核状态
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/13 16:12
 */
public enum ProcessStatus implements Enumerable<String> {

  draft("草稿"),
  to_be_audit("待审核"),
  audit_passed("审核通过"),
  audit_not_passed("审核不通过");

  private final String description;

  ProcessStatus(String description) {
    this.description = description;
  }

  @Override
  public String getDescription() {
    return description;
  }

}
